#Spoj-CLI  [![Build Status](https://travis-ci.org/vidhan13j07/Spoj-CLI.svg?branch=master)](https://travis-ci.org/vidhan13j07/Spoj-CLI)  [![PyPI](https://img.shields.io/pypi/v/spoj-cli.svg)](https://pypi.python.org/pypi/spoj-cli/1.2) [![License](https://img.shields.io/badge/license-MIT-lightgrey.svg)](https://github.com/vidhan13j07/Spoj-CLI)

A command line tool to search,view and submit solutions to the problems directly through terminal.

#Features
* Various categories of problems like classical, challenge, partial, tutorial, riddle, basics and problem by tags.
* Problems sorted by ID, Name, Quality, Users, Accuracy, Concept and Implementation Difficulty.
* Open problem in the browser or display problem-body in terminal.
* Submit solution.
* Show the AC problems and todo problems of the user.
* Download all AC solutions by the user.
* Show all the problems submitted by some other user.

# Installation 
## Using [Pip](http://pip.readthedocs.org/en/stable/installing/)
For Python 2.7

```bash
$ sudo pip install spoj-cli
```
For Python 3.4

```bash
$ sudo pip3 install spoj-cli
```

##OR

```bash
$ git clone https://github.com/vidhan13j07/Spoj-CLI.git && cd spoj-cli-0.1
$ sudo python setup.py install
```
#Upgrading the Spoj-CLI using [Pip](http://pip.readthedocs.org/en/stable/installing/)

If you want to upgrade to the latest version of the spoj-cli, you can run:

For Python 2.7
```bash
$ sudo pip install --upgrade spoj-cli
```
For Python 3.4

```bash
$ sudo pip3 install --upgrade spoj-cli
```

##Usage

```zsh
$ spoj-cli
```

#Screenshots
![ScreenShot](https://raw.github.com/vidhan13j07/Spoj-CLI/master/Screenshots/1.png)

![ScreenShot](https://raw.github.com/vidhan13j07/Spoj-CLI/master/Screenshots/2.png)

![ScreenShot](https://raw.github.com/vidhan13j07/Spoj-CLI/master/Screenshots/10.png)

![ScreenShot](https://raw.github.com/vidhan13j07/Spoj-CLI/master/Screenshots/11.png)

![ScreenShot](https://raw.github.com/vidhan13j07/Spoj-CLI/master/Screenshots/12.png)

![ScreenShot](https://raw.github.com/vidhan13j07/Spoj-CLI/master/Screenshots/19.png)

![ScreenShot](https://raw.github.com/vidhan13j07/Spoj-CLI/master/Screenshots/20.png)

![ScreenShot](https://raw.github.com/vidhan13j07/Spoj-CLI/master/Screenshots/6.png)

#Contributing
1. Fork it
2. Create your branch: ``` git checkout -b my-new-feature ```
3. Commit your changes: ``` git commit -m 'Add some feature' ```
4. Push to the branch: ``` git push origin my-new-feature ```
5. Send a pull request 
6. Enjoy :D



#Requirements
1. BeautifulSoup




##The MIT License (MIT)
>Copyright (c) 2015 Vidhan Jain

>Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

>The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

>THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
